package com.muyu.marketing.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.*;

public interface ActivityTeamInfoService extends IService<ActivityTeamInfo> {


    /**
     * 通过查询模型查询团购活动列表
     * @param activityTeamInfoListQueryModel 团购活动查询模型
     * @return 团购活动列表
     */
    public TableDataInfo<ActivityTeamInfoListModel> query(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel);

    public boolean saveActivityTeamInfo(ActivityTeamInfoAddModel activityTeamInfoAddModel);

    TeamInfoFindByIdRespModel findTeamById(Long id);

    boolean updateByTeamId(ActivityTeamInfoUpdReqModel activityTeamInfoUpdReqModel);
}
